services:
  langbot_plugin_runtime:
    container_name: ${CONTAINER_NAME}-plugin-runtime
    restart: unless-stopped
    image: rockchin/langbot:v4.8.7
    networks:
      - opsmind-network
    volumes:
      - ./data/plugins:/app/data/plugins
    environment:
      - TZ=${TIME_ZONE}
    command: ["uv", "run", "-m", "langbot_plugin.cli.__init__", "rt"]
    labels:
      createdBy: "Apps"

  langbot:
    container_name: ${CONTAINER_NAME}
    restart: unless-stopped
    image: rockchin/langbot:v4.8.7
    networks:
      - opsmind-network
    volumes:
      - ./data:/app/data
      - ./plugins:/app/plugins
    environment:
      - TZ=${TIME_ZONE}
    ports:
      - ${PANEL_APP_PORT_HTTP}:5300
      - ${LANGBOT_PORT_RANGE}:2280-2290
    labels:
      createdBy: "Apps"

networks:
  opsmind-network:
    external: true
